Arduino

Reference Language | Libraries | Comparison | Changes

Robot

## updateIR()

#### Description

Reads the values of the 5 IR line-reading sensors on the underside of the robot and stores the values in an array. This array can be accessed through Robot.IRarray[]. This function needs to be called from the Control Board.

To obtain the reading from a specific IR sensor, use IRRead() on the Motor Board.

#### Parameters

none

#### Returns

`Robot.IRarray[]` : contains the values of the 5 sensors

#### Examples

#include <ArduinoRobot.h>
void setup(){
Robot.begin();
Serial.begin(9600);
}
void loop(){
Robot.updateIR(); // update the IR array
for(int i=0;i<=4;i++){
Serial.print(Robot.IRarray[i]); // print the values to the serial port
Serial.print(",");
}
Serial.println("");
delay(100);
}
[Get Code]

#### See also

- digitalRead()
- digitalWrite()
- analogRead()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- Careers